Bug 1312280 - Unable to overwrite the TOMCAT_SCRIPT variable
Summary: Unable to overwrite the TOMCAT_SCRIPT variable
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: tomcat
Version: el6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Coty Sutherland
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-02-26 10:25 UTC by Frank Büttner
Modified: 2016-09-02 09:22 UTC (History)
4 users (show)

Fixed In Version: tomcat-7.0.70-2.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-02 09:22:39 UTC
Type: Bug


Attachments (Terms of Use)
Patch for it. (331 bytes, patch)
2016-02-26 10:25 UTC, Frank Büttner
no flags Details | Diff

Description Frank Büttner 2016-02-26 10:25:45 UTC
Created attachment 1130809 [details]
Patch for it.

Description of problem:
It is not possible to overwrite the TOMCAT_SCRIPT via /etc/sysconfig/tomcat, because the value is hard coded.

Version-Release number of selected component (if applicable):
tomcat-7.0.65-1

In the file /etc/init.d/tomcat,
TOMCAT_SCRIPT shut changed to:
TOMCAT_SCRIPT="${TOMCAT_SCRIPT:-/usr/sbin/tomcat}"

Patch for it, included.

Comment 1 Mike McCune 2016-03-28 22:44:25 UTC
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions

Comment 3 Fedora Update System 2016-08-05 20:10:51 UTC
tomcat-7.0.70-2.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-3ff1f4485b

Comment 4 Fedora Update System 2016-08-09 02:17:58 UTC
tomcat-7.0.70-2.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-3ff1f4485b

Comment 5 Fedora Update System 2016-09-01 16:20:12 UTC
tomcat-7.0.70-2.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2016-09-02 09:22:02 UTC
tomcat-7.0.70-2.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.